# Remove

**Remove** deletes a cached entry by key. If the key does not exist, the function completes without error.

***

## Properties

### Key

The key of the entry to remove.

Accepts string literals, expressions, or references to string values.

{% hint style="warning" %}
**Warning**

Calling **Remove** while the Cache service is not running will throw an exception.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.linx.software/reference/plugins/localcache/content/remove.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
